/**
 * OW2 Specifications
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JCAStats.java 1506 2007-06-30 15:34:09Z sauthieg $
 * --------------------------------------------------------------------------
 */

package javax.management.j2ee.statistics;
 
/**
 * Specifies statistics provided by a JCA resource.
 * @author Guillaume Sauthier
 */
public interface JCAStats extends Stats {

    /**
     * Returns an array of JCAConnectionStats that provide
     * statistics about the non-pooled connections associated
     * with the referencing JCA resource statistics.
     * @return an array of JCAConnectionStats
     */
    JCAConnectionStats[] getConnections();
    
    /**
     * Returns an array of JCAConnectionPool Stats that provide
     * statistics about the connection pools associated with
     * the referencing JCA resource statistics.
     * @return an array of JCAConnectionPoolStats.
     */
    JCAConnectionPoolStats[] getConnectionPools();
}
